更新 managedDeviceEncryptionState

命名空间:microsoft.graph

重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

更新 managedDeviceEncryptionState 对象 的属性。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementConfiguration.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementConfiguration.ReadWrite.All

HTTP 请求

PATCH /deviceManagement/managedDeviceEncryptionStates/{managedDeviceEncryptionStateId}

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 managedDeviceEncryptionState 对象的 JSON 表示形式。

下表显示创建 managedDeviceEncryptionState 时所需的属性

属性 类型 说明
id String 实体的键。
userPrincipalName String 用户名
deviceType deviceTypes 设备平台。 可能的值是 desktop windowsRT winMO6 :、、、、、、、、、、 nokia windowsPhone mac winCE winEmbedded iPhone iPad iPod android iSocConsumer unix macMDM holoLens surfaceHub androidForWork androidEnterprise blackberry palm unknown
osVersion String 设备的操作系统版本
tpmSpecificationVersion String 设备 TPM 版本
deviceName String 设备名称
encryptionReadinessState encryptionReadinessState 加密就绪状态。 可取值为:notReadyready
encryptionState encryptionState 设备加密状态。 可取值为:notEncryptedencrypted
encryptionPolicySettingState complianceStatus 加密策略设置状态。 可取值为:unknownnotApplicablecompliantremediatednonComplianterrorconflictnotAssigned
advancedBitLockerStates advancedBitLockerState 高级 BitLocker 状态。 可能的值是 success noUserConsent osVolumeUnprotected :、、、、、、、、、 osVolumeTpmRequired osVolumeTpmOnlyRequired osVolumeTpmPinRequired osVolumeTpmStartupKeyRequired osVolumeTpmPinStartupKeyRequired osVolumeEncryptionMethodMismatch recoveryKeyBackupFailed fixedDriveNotEncrypted fixedDriveEncryptionMethodMismatch loggedOnUserNonAdmin windowsRecoveryEnvironmentNotConfigured tpmNotAvailable tpmNotReady networkError
fileVaultStates fileVaultState FileVault 状态。 可取值为:successdriveEncryptedByUseruserDeferredEncryptionescrowNotEnabled
policyDetails encryptionReportPolicyDetails 集合 策略详细信息

响应

如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK managedDeviceEncryptionState 对象。

示例

请求

下面是一个请求示例。

PATCH https://graph.microsoft.com/beta/deviceManagement/managedDeviceEncryptionStates/{managedDeviceEncryptionStateId}
Content-type: application/json
Content-length: 704

{
  "@odata.type": "#microsoft.graph.managedDeviceEncryptionState",
  "userPrincipalName": "User Principal Name value",
  "deviceType": "windowsRT",
  "osVersion": "Os Version value",
  "tpmSpecificationVersion": "Tpm Specification Version value",
  "deviceName": "Device Name value",
  "encryptionReadinessState": "ready",
  "encryptionState": "encrypted",
  "encryptionPolicySettingState": "notApplicable",
  "advancedBitLockerStates": "noUserConsent",
  "fileVaultStates": "driveEncryptedByUser",
  "policyDetails": [
    {
      "@odata.type": "microsoft.graph.encryptionReportPolicyDetails",
      "policyId": "Policy Id value",
      "policyName": "Policy Name value"
    }
  ]
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 753

{
  "@odata.type": "#microsoft.graph.managedDeviceEncryptionState",
  "id": "f09b4ab6-4ab6-f09b-b64a-9bf0b64a9bf0",
  "userPrincipalName": "User Principal Name value",
  "deviceType": "windowsRT",
  "osVersion": "Os Version value",
  "tpmSpecificationVersion": "Tpm Specification Version value",
  "deviceName": "Device Name value",
  "encryptionReadinessState": "ready",
  "encryptionState": "encrypted",
  "encryptionPolicySettingState": "notApplicable",
  "advancedBitLockerStates": "noUserConsent",
  "fileVaultStates": "driveEncryptedByUser",
  "policyDetails": [
    {
      "@odata.type": "microsoft.graph.encryptionReportPolicyDetails",
      "policyId": "Policy Id value",
      "policyName": "Policy Name value"
    }
  ]
}